Package org.apache.nutch.net

## Class URLFilterChecker

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.util.AbstractChecker
    - - org.apache.nutch.net.URLFilterChecker

- All Implemented Interfaces:
    `Configurable`, `Tool`

      public class URLFilterChecker
      extends AbstractChecker

  Checks one given filter or all filters.
  Author:
    John Xing

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.util.AbstractChecker

      `keepClientCnxOpen, stdin, tcpPort, usage`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URLFilterChecker()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `protected int` | `process​(String line, StringBuilder output)` |
    `int` | `run​(String[] args)` |

    - ### Methods inherited from class org.apache.nutch.util.AbstractChecker

      `getProtocolOutput, parseArgs, processSingle, processStdin, processTCP, run`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### URLFilterChecker

          public URLFilterChecker()

  - ### Method Detail

    - #### run

          public int run​(String[] args)
                  throws Exception

      Throws:
        `Exception`

    - #### process

          protected int process​(String line,
                                StringBuilder output)
                         throws Exception

      Specified by:
        `process` in class `AbstractChecker`
      Throws:
        `Exception`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`